import { PageResult, PageParams } from './common';

// 成绩
export interface ScoreItem {
  id: number;
  // 准考证号
  examNumber: string;
  // 姓名
  name: string;
  // 学号
  studentCode: string;
  // 科目代码
  subjectCode: string;
  // 科目名称
  subjectName: string;
  // 层次
  subjectLevel: string;
  // 专业类型
  subjectCategory: string;
  // 客观总分
  objectiveScoreString: string;
  // 主观总分
  subjectiveScoreString: string;
  // 全卷总分
  totalScoreString: string;
  // 是否缺考
  absent: boolean;
  // 是否上传
  upload: boolean;
  // 是否违纪
  breach: boolean;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
}
export type ScoreListPageRes = PageResult<ScoreItem>;

export interface ScoreListFilter {
  // 姓名
  name: string;
  // 准考证号
  examNumber: string;
  // 学号
  studentCode: string;
  // 科目代码
  subjectCode: string | null;
  // 筛选类型
  filter: string;
  // 是否缺考
  absent: boolean;
  // 是否上传
  upload: boolean;
  // 是否违纪
  breach: boolean;
  // 总分
  startScore: number | undefined;
  endScore: number | undefined;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
}
export type ScoreListPageParam = PageParams<ScoreListFilter>;
